Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures.attributes
Class LocalVariableCommonAttribute

    java.lang.Object
      org.gjt.jclasslib.structures.AbstractStructure
          org.gjt.jclasslib.structures.AbstractStructureWithAttributes
              org.gjt.jclasslib.structures.AttributeInfo
                  org.gjt.jclasslib.structures.attributes.LocalVariableCommonAttribute

Direct Known Subclasses:
  LocalVariableTableAttribute, LocalVariableTypeTableAttribute

public abstract class LocalVariableCommonAttribute
extends AttributeInfo

Contains common attributes to a local variable table attribute structure.

Version:
  $Revision: 1.1 $ $Date: 2004/12/28 13:04:32 $
Author:
  Vitor Carreira

Field Summary
`protected static int` | `INITIAL_LENGTH`
`protected LocalVariableCommonEntry[]` | `localVariableTable`

Fields inherited from class org.gjt.jclasslib.structures.AttributeInfo
`SYSTEM_PROPERTY_SKIP_ATTRIBUTES`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructureWithAttributes
`attributes`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructure
`classFile, debug, SYSTEM_PROPERTY_DEBUG`

Constructor Summary
`LocalVariableCommonAttribute()`

Method Summary
`LocalVariableCommonEntry[]` | `getLocalVariableEntries()` Get the list of local variable associations of the parent `Code` structure as an array of `LocalVariableCommonEntry` structures.
`void` | `setLocalVariableEntries(LocalVariableCommonEntry[] localVariableEntries)` Set the list of local variable associations of the parent `Code` structure as an array of `LocalVariableCommonEntry` structures.
`void` | `write(DataOutput out)` Write this structure to the given `DataOutput`.

Methods inherited from class org.gjt.jclasslib.structures.AttributeInfo
`createOrSkip, getAttributeLength, getAttributeNameIndex, getInfo, getName, printAccessFlagsVerbose, read, setAttributeNameIndex, setInfo`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructureWithAttributes
`findAttribute, getAttributes, getTotalAttributesLength, readAttributes, setAttributes, writeAttributes`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructure
`debug, getClassFile, getDebug, getLength, printAccessFlags, printAccessFlagsVerbose, printBytes, setClassFile, setDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_LENGTH

    protected static final int INITIAL_LENGTH

See Also:
  Constant Field Values

### localVariableTable

    protected LocalVariableCommonEntry[] localVariableTable

Constructor Detail

### LocalVariableCommonAttribute

    public LocalVariableCommonAttribute()

Method Detail

### getLocalVariableEntries

    public LocalVariableCommonEntry[] getLocalVariableEntries()

  Get the list of local variable associations of the parent `Code` structure as an array of `LocalVariableCommonEntry` structures.

  Returns:
    the array

### setLocalVariableEntries

    public void setLocalVariableEntries(LocalVariableCommonEntry[] localVariableEntries)

  Set the list of local variable associations of the parent `Code` structure as an array of `LocalVariableCommonEntry` structures.

  Parameters:
    `localVariableEntries` - the array

### write

    public void write(DataOutput out)
               throws InvalidByteCodeException,
                      IOException

  Description copied from class: `AbstractStructure`
  Write this structure to the given `DataOutput`.

  The written bytes are in JVM class file format.

  Overrides:
    `write` in class `AttributeInfo`
  Throws:
    `InvalidByteCodeException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD